#pragma once
#include <stdio.h>
#include "type.h"
#include "buffer.h"
typedef void const* say_arg;
typedef typeof(say_arg[]) saylist;
size_t saybuf(buffer* buf, FILE* dest, const char* fmt, say_arg* args);
void sayto(FILE* dest, char const* fmt, say_arg* args);
void say(const char* fmt, say_arg* args);

void buffer_pushm
(	buffer*   buf,
	uintmax_t val,
	bool      neg,
	uint8_t   base,
	bool      ucase
);